Package com.smartgwt.client.util.workflow

# Class PropertyValue

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.util.workflow.PropertyValue

All Implemented Interfaces:
  `HasHandlers`

public class PropertyValue extends DataClass
Identifies a property name and value to be assigned to a component by the `SetPropertiesTask`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertyValue()`
  `PropertyValue(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  Name of the property to be assigned the new value.
  `static PropertyValue`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Object`
  `getValue()`
  Name of the property to be assigned the new value.
  `PropertyValue`
  `setName(String name)`
  Name of the property to be assigned the new value.
  `PropertyValue`
  `setValue(Object value)`
  Name of the property to be assigned the new value.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertyValue

    public PropertyValue()

  - ### PropertyValue

    public PropertyValue(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static PropertyValue getOrCreateRef(JavaScriptObject jsObj)

  - ### setName

    public PropertyValue setName(String name)
    Name of the property to be assigned the new value.
    Parameters:
      `name` - New name value. Default value is null
    Returns:
      `PropertyValue` instance, for chaining setter calls

  - ### getName

    public String getName()
    Name of the property to be assigned the new value.
    Returns:
      Current name value. Default value is null

  - ### setValue

    public PropertyValue setValue(Object value)
    Name of the property to be assigned the new value.

    A value prefixed with "$" will be treated as a `TaskInputExpression` excluding "$input" and "$inputRecord" references.

    Parameters:
      `value` - New value value. Default value is null
    Returns:
      `PropertyValue` instance, for chaining setter calls

  - ### getValue

    public Object getValue()
    Name of the property to be assigned the new value.

    A value prefixed with "$" will be treated as a `TaskInputExpression` excluding "$input" and "$inputRecord" references.

    Returns:
      Current value value. Default value is null